{
  "name": "edgegateway",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "prestart": "node aspnetcore-https",
    "start": "run-script-os",
    "start:windows": "ng serve --port 44408 --ssl --ssl-cert \"%APPDATA%\\ASP.NET\\https\\%npm_package_name%.pem\" --ssl-key \"%APPDATA%\\ASP.NET\\https\\%npm_package_name%.key\"",
    "start:default": "ng serve --port 44408 --ssl --ssl-cert \"$HOME/.aspnet/https/${npm_package_name}.pem\" --ssl-key \"$HOME/.aspnet/https/${npm_package_name}.key\"",
    "build": "ng build",
    "build:ssr": "ng run EdgeGateway:server:dev",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "generate-api": "openapi-generator-cli generate -i gateway_swagger.json -g typescript-angular -o src/generated-sources/openapi --additional-properties=ngVersion=17.1.1,npmName=restClient,supportsES6=true,npmVersion=10.2.4,basePath=https://localhost:44408"
  },
  "private": true,
  "dependencies": {
    "@angular-eslint/schematics": "^17.1.1",
    "@angular/animations": "^17.1.1",
    "@angular/cdk": "^17.1.1",
    "@angular/common": "^17.1.1",
    "@angular/compiler": "^17.1.1",
    "@angular/core": "^17.1.1",
    "@angular/forms": "^17.1.1",
    "@angular/material": "^17.1.1",
    "@angular/platform-browser": "^17.1.1",
    "@angular/platform-browser-dynamic": "^17.1.1",
    "@angular/platform-server": "^17.1.1",
    "@angular/router": "^17.1.1",
    "@microsoft/signalr": "^8.0.0",
    "@openapitools/openapi-generator-cli": "^2.9.0",
    "bootstrap": "^5.1.3",
    "eslint": "^8.56.0",
    "jquery": "^3.6.0",
    "oidc-client": "^1.11.5",
    "popper.js": "^1.16.0",
    "run-script-os": "^1.1.6",
    "rxjs": "~7.5.5",
    "tslib": "^2.4.0",
    "zone.js": "~0.14.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.1.1",
    "@angular/cli": "^17.1.1",
    "@angular/compiler-cli": "^17.1.1",
    "@types/jasmine": "~4.0.3",
    "@types/jasminewd2": "~2.0.10",
    "@types/node": "^18.0.0",
    "jasmine-core": "~4.2.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.1.1",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "^2.0.0",
    "typescript": "~5.3.3"
  },
  "overrides": {
    "autoprefixer": "10.4.5"
  }
}
